Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: sensors::NumericSensor::MetaData Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
sensors::NumericSensor::MetaData Struct Reference

Numeric sensor metadata. More...

`import <NumericSensor.idl;`

## Public Attributes
Sensor::TypeSpec | type
| Sensor type, reading type and unit.
int | decdigits
| Number of significant decimal digits.
float | accuracy
| Sensor accuracy in percent.
float | resolution
| Sensor resolution.
float | tolerance
| Sensor tolerance.
float | noiseThreshold
| Sensor noise threshold.
Range | range
| Range of possible sensor readings.
ThresholdCapabilities | thresholdCaps
| Threshold capabilities.

## Detailed Description

Numeric sensor metadata.

Definition at line 40 of file NumericSensor.idl.

## Member Data Documentation

## ◆ accuracy

float sensors::NumericSensor::MetaData::accuracy

Sensor accuracy in percent.

How close in percent measurement is to actual value. This value has an implicit precision of 2, i.e. the double value must be rounded for 2 decimal digits before use. For example a reading of 10.0 and an accuracy of 0.2 means the actual reading value is 10.0 +/- 0.2%.

A value of 0 means unused.

Definition at line 66 of file NumericSensor.idl.

## ◆ decdigits

int sensors::NumericSensor::MetaData::decdigits

Number of significant decimal digits.

Indicates how many digits should be displayed to the right of the decimal point. I.e. double values must be rounded with this precision.

Definition at line 53 of file NumericSensor.idl.

## ◆ noiseThreshold

float sensors::NumericSensor::MetaData::noiseThreshold

Sensor noise threshold.

Threshold under which sensor measurements will be ignored. Sensor measurements below that value will be reported at the lower bound of the sensor range.

Definition at line 95 of file NumericSensor.idl.

## ◆ range

Range sensors::NumericSensor::MetaData::range

Range of possible sensor readings.

Range values are rounded with with decimal digits.

Definition at line 102 of file NumericSensor.idl.

## ◆ resolution

float sensors::NumericSensor::MetaData::resolution

Sensor resolution.

Minimum difference between any two measured values. Must be rounded with decimal digits.

Definition at line 74 of file NumericSensor.idl.

## ◆ thresholdCaps

ThresholdCapabilities sensors::NumericSensor::MetaData::thresholdCaps

Threshold capabilities.

Definition at line 107 of file NumericSensor.idl.

## ◆ tolerance

float sensors::NumericSensor::MetaData::tolerance

Sensor tolerance.

Tolerance is given in +/- counts of the reading value. It indicates a constant magnitude possible error in the quantization of an analog input to the sensor. Rounded with decimal digits + 1.

A value of 0 means unused.

Definition at line 86 of file NumericSensor.idl.

## ◆ type

Sensor::TypeSpec sensors::NumericSensor::MetaData::type

Sensor type, reading type and unit.

Definition at line 44 of file NumericSensor.idl.

The documentation for this struct was generated from the following file:

- NumericSensor.idl